Create profile for a data asset - Gable Docs
Create profile for a data asset
cURL
curl --request POST \
--url https://demo-api.gable.ai/v0/data-asset/{id}/profile \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"darn": "<string>",
"data_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fieldsToProfilesMapping": {}
}
'```
### Python
```python
import requests
url = "https://demo-api.gable.ai/v0/data-asset/{id}/profile"
payload = {
"darn": "<string>",
"data_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fieldsToProfilesMapping": {}
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
darn: '<string>',
data_asset_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
fieldsToProfilesMapping: {}
})
};
fetch('https://demo-api.gable.ai/v0/data-asset/{id}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://demo-api.gable.ai/v0/data-asset/{id}/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'darn' => '<string>',
'data_asset_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'fieldsToProfilesMapping' => []
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://demo-api.gable.ai/v0/data-asset/{id}/profile"
payload := strings.NewReader("{\n \"darn\": \"<string>\",\n \"data_asset_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"fieldsToProfilesMapping\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HTTP Response Codes
200: Data asset profile was successfully created.
404: Resource not found.
500: Internal server error.
Body Parameters
- darn: string, required - the Data Asset Resource Name (DARN) of the data asset.
- data_asset_id: string, required - ID for the data asset.
- fieldsToProfilesMapping: object, required - The mapping of data asset fields to data asset field profiles associated with the data asset.